> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Opened Orders



## OpenAPI

````yaml Wallet get /{walletId}/openedOrders
openapi: 3.0.1
info:
  title: Wallet
  description: wallet
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/wallet
security:
  - default: []
paths:
  /{walletId}/openedOrders:
    get:
      tags:
        - Order
      summary: Get Opened Orders
      operationId: OrderController_getOpenedOrders
      parameters:
        - name: tenantId
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: walletId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: Get internal opened Orders
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenOrdersDto'
      security:
        - default: []
components:
  schemas:
    OpenOrdersDto:
      required:
        - amount
        - date
        - filled
        - id
        - pair
        - price
        - side
        - total
        - type
      type: object
      properties:
        id:
          type: string
        date:
          type: string
          format: date-time
        pair:
          type: string
        type:
          type: string
          enum:
            - market
            - limit
        side:
          type: string
          enum:
            - buy
            - sell
            - deposit
            - withdraw
            - transfer
            - suspend
            - reverse
        price:
          type: string
        amount:
          type: string
        filled:
          type: string
        total:
          type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````